%define name    giram
%define version 0.1.11
%define release 1mdk

Name:    %{name}
Version: %{version}
Release: %{release}
Source:  %{name}-%{version}.tar.bz2
Source1: giram16.xpm.bz2
Source2: giram32.xpm.bz2
Source3: giram48.xpm.bz2
Summary: Giram Is Really A Modeller
Group:   Graphics
License: GPL
URL:     http://www.giram.org/

Requires: gtk+ >= 1.2.8
BuildRequires: gtk+-devel >= 1.2.8


BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Giram is a povray-oriented 3D modeller

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
  --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
  --mandir=$RPM_BUILD_ROOT%{_mandir}
    
%make

%install
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/{large,mini}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/giram.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/giram.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/giram.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/giram <<EOF
?package(giram): command="giram" icon="giram.xpm" section="Multimedia/Graphics" title="Giram" longtitle="Giram Is Really A Modeller" needs="x11"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,0755)
%{_bindir}/giram
%{_bindir}/povfront
%{_menudir}/giram
%{_miconsdir}/giram.xpm
%{_iconsdir}/giram.xpm
%{_liconsdir}/giram.xpm
%config(noreplace) %{_sysconfdir}/giram/0.1/giramrc
%config(noreplace) %{_sysconfdir}/giram/0.1/giramrc_user
%config(noreplace) %{_sysconfdir}/giram/0.1/gtkrc
%config(noreplace) %{_sysconfdir}/giram/0.1/gtkrc_user
%config(noreplace) %{_sysconfdir}/giram/0.1/ps-menurc
# Giram doesn't currently handle these plug-ins...
#/usr/libexec/giram/plug-ins/Box
#/usr/libexec/giram/plug-ins/Rotate
#/usr/libexec/giram/plug-ins/Spheres
#%{_mandir}/man1/giram.1*
%{_datadir}/doc/giram/Tutorial
%{_datadir}/giram/0.1/color/color1.gcf
%{_datadir}/giram/0.1/color_map/
%{_datadir}/giram/0.1/finish/finish1
%{_datadir}/giram/0.1/giram_logo.ppm
%{_datadir}/giram/0.1/giram_splash.ppm
%{_datadir}/giram/0.1/normal/normal1
%{_datadir}/giram/0.1/pigment/pigment1
%{_datadir}/giram/0.1/shape/shape1
%{_datadir}/giram/0.1/texture/texture1
%{_datadir}/giram/0.1/user_install
%{_datadir}/giram/0.1/tips/giram_conseils.fr.txt
%{_datadir}/giram/0.1/tips/giram_tips.txt

%changelog
* Fri Nov 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.11-1mdk
- 0.1.11

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.10-1mdk
- updated to 0.1.10

* Thu May 17 2001 DindinX <odin@mandrakesoft.com> 0.1.8-1mdk
- first mandrake release
